// creator  : weidu.exe (version 23100)
// argument : SAHPR1.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SAHPR1~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #0 ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #46257 /* ~Ta'risslysa, ss'uri.  Ssivilis y russyla!~ [SAHPR102] */
  IF ~~ THEN EXTERN ~SAHCPT02~ 0
END

IF ~~ THEN BEGIN 1 // from: SAHCPT02:0.0
  SAY #46265 /* ~Shur'e...~ */
  IF ~!IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Cernd")
!IsValidForPartyDialog("Valygar")~ THEN GOTO 2
  IF ~IsValidForPartyDialog("Viconia")~ THEN EXTERN ~VICONIJ~ 134
  IF ~!IsValidForPartyDialog("Viconia")
IsValidForPartyDialog("Cernd")~ THEN EXTERN ~CERNDJ~ 109
  IF ~!IsValidForPartyDialog("Viconia")
!IsValidForPartyDialog("Cernd")
IsValidForPartyDialog("Valygar")~ THEN EXTERN ~VALYGARJ~ 82
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #46266 /* ~Es ss'uri net rylliaren.  A'sook, Feerlattiys.~ */
  IF ~~ THEN EXTERN ~SAHCPT02~ 1
END

IF ~~ THEN BEGIN 3 // from: SAHCPT02:1.0
  SAY #46268 /* ~A'sook, a'sook...~ */
  IF ~~ THEN DO ~StartCutSceneMode()
StartCutScene("cut41s")
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: SAHCPT02:2.0
  SAY #46274 /* ~I heard you the first time, Feerlattiys.  And, yes, I have called on Sekolah to grant these beings the ability to understand our tongue.~ */
  IF ~~ THEN EXTERN ~SAHCPT02~ 3
END

IF ~~ THEN BEGIN 5 // from: SAHCPT02:3.0
  SAY #46277 /* ~The surface beings are varied in their ways, Feerlattiys, but they are quite intelligent.  You can, I am sure, speak to the creatures directly.~ */
  IF ~!IsValidForPartyDialog("HaerDalis")
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Minsc")~ THEN GOTO 6
  IF ~IsValidForPartyDialog("HaerDalis")~ THEN EXTERN ~HAERDAJ~ 109
  IF ~!IsValidForPartyDialog("HaerDalis")
IsValidForPartyDialog("Edwin")~ THEN EXTERN ~EDWINJ~ 112
  IF ~!IsValidForPartyDialog("HaerDalis")
!IsValidForPartyDialog("Edwin")
IsValidForPartyDialog("Minsc")~ THEN EXTERN ~MINSCJ~ 165
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #46278 /* ~My apologies.  Captain Feerlattiys performs well as protector of our Shark-Father's Temple, but has little experience with your kind.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #46279 /* ~I am sure this must come as a shock to you, after your recent harrowing experience.  You must brace yourselves, soft ones, for your journey gets no easier.~ */
  IF ~~ THEN EXTERN ~SAHCPT02~ 4
END

IF ~~ THEN BEGIN 8 // from: SAHCPT02:4.0
  SAY #46281 /* ~In good time, Feerlattiys.  Allow them to gain their bearings and discover why we have brought them here.  Otherwise, they may resort to hostilities.~ */
  IF ~~ THEN EXTERN ~SAHCPT02~ 5
END

IF ~~ THEN BEGIN 9 // from: SAHCPT02:5.0
  SAY #46283 /* ~Indeed.  Sekolah has spoken of these ones to us, so let us treat them not as prisoners for the banquet table.  Let us instead make them welcome.~ */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #46284 /* ~I shall introduce myself to you.  I am Senityili, Royal High Priestess of Sekolah.  And you are in the City-of-Caverns, one of our most ancient places.~ */
  IF ~!IsValidForPartyDialog("Keldorn")~ THEN GOTO 11
  IF ~IsValidForPartyDialog("Keldorn")~ THEN EXTERN ~KELDORJ~ 196
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #46291 /* ~You are fortunate, surface dwellers.  In the normal course of things, creatures captured from the sun lands would be dinner for our plate.~ */
  IF ~~ THEN GOTO 12
END

IF ~~ THEN BEGIN 12 // from: 11.0
  SAY #46292 /* ~This once, however, is different.  Sekolah has told of your coming in an ancient prophecy, and I have scryed that you are whom the Shark-Father speaks of.~ */
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("Korgan")~ THEN GOTO 13
  IF ~IsValidForPartyDialog("Jaheira")~ THEN EXTERN ~JAHEIRAJ~ 464
  IF ~!IsValidForPartyDialog("Jaheira")
IsValidForPartyDialog("Jan")~ THEN EXTERN ~JANJ~ 161
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("Korgan")~ THEN EXTERN ~KORGANJ~ 131
END

IF ~~ THEN BEGIN 13 // from: 12.0
  SAY #46293 /* ~The most exalted King Ixilthetocal calls for the presence of the prophesied ones, now, but there is time for you to ask questions if you have the desire.~ */
  IF ~~ THEN REPLY #46294 /* ~What manner of creature are you?~ */ GOTO 14
  IF ~~ THEN REPLY #46296 /* ~What is this prophecy you speak of?~ */ GOTO 21
  IF ~~ THEN REPLY #46297 /* ~Where is this City-of-Caverns?  Where am I, exactly?~ */ GOTO 17
  IF ~~ THEN REPLY #46298 /* ~I demand to be released at once!  I will not submit to whatever you plan for me!~ */ GOTO 19
END

IF ~~ THEN BEGIN 14 // from: 29.0 20.0 18.0 13.0
  SAY #46299 /* ~Your kind has many names for us, I believe.  We are called the Sea Devils and our eel-kin the Anguiliians, although I believe the merman word is most prevalent: Sahuagin...~ */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY #46300 /* ~We are the raiders of the shores and hunters without equal, surface <PRO_MANWOMAN>.  We please the Shark-Father with our ruthlessness and our cunning.~ */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #46301 /* ~As I said, you are lucky to live... and it galls us that the prophecy calls on surface dwellers to aid us.~ */
  IF ~~ THEN REPLY #46302 /* ~What is this prophecy you speak of?~ */ GOTO 21
  IF ~~ THEN REPLY #46303 /* ~Where is this City-of-Caverns?  Where am I, exactly?~ */ GOTO 17
  IF ~~ THEN REPLY #46304 /* ~I demand to be released at once!  I will not submit to whatever you plan for me!~ */ GOTO 19
END

IF ~~ THEN BEGIN 17 // from: 29.1 20.1 16.1 13.2
  SAY #46305 /* ~You are in a great cavern of air, far beneath the surface of the sea.  This is where we have made our city and where we have ruled for countless generations.~ */
  IF ~~ THEN GOTO 18
END

IF ~~ THEN BEGIN 18 // from: 17.0
  SAY #46306 /* ~There is no escape, surface dweller.  The only exits from the City-of-Caverns lie up through the depths in which you cannot live... or down into the Underdark.~ */
  IF ~~ THEN REPLY #46307 /* ~What manner of creature are you?~ */ GOTO 14
  IF ~~ THEN REPLY #46308 /* ~What is this prophecy you speak of?~ */ GOTO 21
  IF ~~ THEN REPLY #46309 /* ~I demand to be released at once!  I will not submit to whatever you plan for me!~ */ GOTO 19
END

IF ~~ THEN BEGIN 19 // from: 18.2 16.2 13.3
  SAY #46310 /* ~Calm yourself, surface <PRO_MANWOMAN>.  There is no escape, and you live only at my insistence that you are the ones Sekolah has called to us in his prophecy.~ */
  IF ~~ THEN GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY #46311 /* ~Continue to agitate yourself, and I will be forced to admit that I was wrong.  The consequences could be... harsh... for us both.~ */
  IF ~~ THEN REPLY #46312 /* ~Very well.  Tell me what manner of creature you are, then.~ */ GOTO 14
  IF ~~ THEN REPLY #46313 /* ~Tell me exactly where I am, then.~ */ GOTO 17
  IF ~~ THEN REPLY #46314 /* ~I wish to know more of this prophecy you speak of, then.~ */ GOTO 21
  IF ~~ THEN REPLY #46315 /* ~What do you mean, 'for us both'?~ */ GOTO 28
  IF ~~ THEN REPLY #46316 /* ~I shall take my chances!  Put up your arms, then, if you have the courage!~ */ GOTO 30
END

IF ~~ THEN BEGIN 21 // from: 29.2 20.2 18.1 16.0 13.1
  SAY #46317 /* ~Ah, yes, the prophecy.  Sekolah visited the City-of-Caverns long ago... all raised their arms in rejoicing as the Great Shark's song filled our hearts.~ */
  IF ~~ THEN GOTO 22
END

IF ~~ THEN BEGIN 22 // from: 21.0
  SAY #46318 /* ~Sekolah told of a time when the City-of-Caverns would be no more.  He also told of signs that would precede the arrival of surface dwellers in the depths.~ */
  IF ~~ THEN GOTO 23
END

IF ~~ THEN BEGIN 23 // from: 22.0
  SAY #46319 /* ~Sekolah said these surface dwellers would be all that stood between the City-of-Caverns and destruction, and we would do well to watch for them.~ */
  IF ~~ THEN GOTO 24
END

IF ~~ THEN BEGIN 24 // from: 23.0
  SAY #46320 /* ~We... Sahuagin, as you call us... have watched and waited from our temples here in the City.  The signs have come, surface <PRO_MANWOMAN>, and now you are here.~ */
  IF ~~ THEN GOTO 25
END

IF ~~ THEN BEGIN 25 // from: 24.0
  SAY #46321 /* ~You have come... and the City-of-Caverns does, indeed, stand on the brink of destruction.  You will save us, as Sekolah has promised.~ */
  IF ~~ THEN EXTERN ~SAHCPT02~ 6
END

IF ~~ THEN BEGIN 26 // from: SAHCPT02:6.0
  SAY #46323 /* ~The most honored Ixilthetocal will not punish us, good Feerlattiys.  But... we must hurry, lest Tlyysixxous convince the King of her views in my absence.~ */
  IF ~~ THEN GOTO 27
END

IF ~~ THEN BEGIN 27 // from: 26.0
  SAY #46324 /* ~So, surface <PRO_MANWOMAN>.  You have heard me tell of the prophecy and your role in it.  Will you see the King of the Sahuagin to hear more?  Or will you struggle?~ */
  IF ~~ THEN REPLY #46325 /* ~I will go voluntarily, for now.~ */ GOTO 32
  IF ~~ THEN REPLY #46326 /* ~I have more questions to ask of you, first.~ */ GOTO 31
  IF ~~ THEN REPLY #46327 /* ~I will not save an evil race such as yourself!  You shall release me or die by my blade!~ */ GOTO 30
END

IF ~~ THEN BEGIN 28 // from: 20.3
  SAY #46328 /* ~Amongst the Sahuagin, to be wrong is to be dead.  Not all of my kind believe you are the ones that Sekolah has promised, and I have staked much upon my claim.~ */
  IF ~~ THEN GOTO 29
END

IF ~~ THEN BEGIN 29 // from: 28.0
  SAY #46329 /* ~Prove me wrong, and I will die.  But you will die first, surface <PRO_MANWOMAN>.~ */
  IF ~~ THEN REPLY #46330 /* ~Very well.  Tell me what manner of creature you are, then.~ */ GOTO 14
  IF ~~ THEN REPLY #46331 /* ~Tell me exactly where I am, then.~ */ GOTO 17
  IF ~~ THEN REPLY #46332 /* ~I wish to know more of this prophecy you speak of, then.~ */ GOTO 21
  IF ~~ THEN REPLY #46333 /* ~I shall take my chances!  Put up your arms, then, if you have the courage!~ */ GOTO 30
END

IF ~~ THEN BEGIN 30 // from: 31.1 29.3 27.2 20.4
  SAY #46334 /* ~Then Sekolah calls for boldness from us!  Kill them!  Kill all of the surface creatures!!~ */
  IF ~~ THEN DO ~SetGlobal("hostilecity","GLOBAL",1)~ SOLVED_JOURNAL #55580 /* ~The prophecy of Sekolah

Taken down into a city far below the ocean surface by the Sahuagin, I was greeted by a High Priestess of the shark god Sekolah and told that I was intended for some higher purpose that Sekolah had foretold.  Not one to be used, I refused their 'hospitality'... I would rather fight my way back to the surface, if need be.~ */ EXIT
END

IF ~~ THEN BEGIN 31 // from: 27.1
  SAY #46335 /* ~There is no time for more questions, surface <PRO_MANWOMAN>.  You will learn more, in time, if you are intelligent.  The most exalted beckons for your presence.~ */
  IF ~~ THEN REPLY #46336 /* ~Very well, I will go with you.~ */ GOTO 32
  IF ~~ THEN REPLY #46337 /* ~No!  I refuse to go!  I shall fight you all, if I must!~ */ GOTO 30
END

IF ~~ THEN BEGIN 32 // from: 31.0 27.0
  SAY #46338 /* ~Good.  Captain Feerlattiys, we shall now proceed to the royal chambers.  Lead us.~ */
  IF ~~ THEN EXTERN ~SAHCPT02~ 7
END

IF WEIGHT #1 ~NumTimesTalkedTo(1)
~ THEN BEGIN 33 // from:
  SAY #46340 /* ~We are here, most honorable Ixilthetocal, at your command.~ [SAHPR107] */
  IF ~~ THEN EXTERN ~SAHKNG01~ 0
END

IF ~~ THEN BEGIN 34 // from: SAHKNG01:0.0
  SAY #46342 /* ~They are, most honorable one.  The leader amongst them, here, is what I believe they refer to as a '<PRO_RACE>'.~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 1
END

IF ~~ THEN BEGIN 35 // from: SAHKNG01:3.0
  SAY #46349 /* ~No!  Most honorable Ixilthetocal, the signs were clearly seen!  All has come to pass as Sekolah had foretold!~ */
  IF ~~ THEN EXTERN ~SAHPR3~ 2
END

IF ~~ THEN BEGIN 36 // from: SAHPR3:2.0
  SAY #46351 /* ~I do not see what I wish to see, Tlyysixxous.  I see only what Sekolah has shown me, and these ARE the saviors of the City-of-Caverns!~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 4
END

IF ~~ THEN BEGIN 37 // from: SAHBAR03:1.0
  SAY #46359 /* ~No, Ixilthetocal!  Do not listen to them!  They are sent by Sekolah, I swear!  To refuse them is to pledge the City-of-Caverns to its destruction!~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 5
END

IF ~~ THEN BEGIN 38 // from: SAHPR3:4.0
  SAY #46406 /* ~No, most honorable Ixilthetocal.~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 13
END

IF ~~ THEN BEGIN 39 // from: SAHKNG01:28.0
  SAY #46445 /* ~If... if I may speak, most honorable one, as to the Shark-Father's intentions?~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 29
END

IF ~~ THEN BEGIN 40 // from: SAHKNG01:29.0
  SAY #46447 /* ~That was Tlyysixxous, honorable Ixilthetocal.~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 30
END

IF ~~ THEN BEGIN 41 // from: SAHKNG01:30.0
  SAY #46449 /* ~I urge you not to listen to the Baron.  He would have you destroy the rebels, when there is a far greater need for them in the City-of-Caverns.~ */
  IF ~~ THEN GOTO 42
END

IF ~~ THEN BEGIN 42 // from: 41.0
  SAY #46450 /* ~Our numbers dwindle, honorable Ixilthetocal.  You have... exiled many.  The hatcheries are barren, and there are too few females...~ */
  IF ~~ THEN GOTO 43
END

IF ~~ THEN BEGIN 43 // from: 42.0
  SAY #46451 /* ~In short, our bloodline grows thin.  We need these rebels to join us, to add their blood to ours so that the City-of-Caverns may grow strong again!~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 31
END

IF ~~ THEN BEGIN 44 // from: SAHKNG01:33.0
  SAY #46455 /* ~But... but, honorable Ixilthetocal --!~ */
  IF ~~ THEN EXTERN ~SAHBAR03~ 4
END

IF ~~ THEN BEGIN 45 // from: SAHKNG01:50.0
  SAY #46495 /* ~Before you leave the city, surface beings, come to the temple and speak to me again.  I can tell you things that will make your job much... easier.~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 51
END

IF ~~ THEN BEGIN 46 // from: SAHCPT01:1.0
  SAY #46559 /* ~What is the meaning of this?  Why have I been brought here?!~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 69
END

IF ~~ THEN BEGIN 47 // from: SAHKNG01:70.0
  SAY #46563 /* ~By Sekolah, <PRO_RACE>?!  You have betrayed me?  Why have you done this?!  To what possible end would this serve you?!~ */
  IF ~~ THEN EXTERN ~SAHKNG01~ 71
END

IF WEIGHT #2 ~Global("LeavingSahuagin","AR2300",2)
~ THEN BEGIN 48 // from:
  SAY #46575 /* ~You have killed the rebel, Prince Villynaty?  Ahhh, I am a fool.~ [SAHPR108] */
  IF ~~ THEN GOTO 49
END

IF ~~ THEN BEGIN 49 // from: 48.0
  SAY #46576 /* ~You are not the one who was prophesied to save us.  Indeed, you have destroyed us!  The Prince and the exiles were our last chance to keep our bloodline strong!~ */
  IF ~~ THEN GOTO 50
END

IF ~~ THEN BEGIN 50 // from: 49.0
  SAY #46577 /* ~You have sent us to a slow, rotting death, <PRO_RACE>!  We shall grow weak and wither under the rule of our mad king!~ */
  IF ~~ THEN GOTO 51
END

IF ~~ THEN BEGIN 51 // from: 50.0
  SAY #46578 /* ~I hope you are pleased with your treasure, and I pray that the damnable Illithid feast upon your brain slowly!  May Sekolah find you in a dark part of the ocean!!~ */
  IF ~~ THEN DO ~EraseJournalEntry(6467)
EraseJournalEntry(16669)
EraseJournalEntry(15809)
EraseJournalEntry(10116)
EraseJournalEntry(10109)
EraseJournalEntry(7170)
EraseJournalEntry(10931)
EscapeArea()~ SOLVED_JOURNAL #10929 /* ~The prophecy of Sekolah

The rebel leader has been killed and his heart given to the King of the Sahuagin, who was quite pleased.  He brought me to the entrance to the Underdark, which he says is my only way home, and rewarded me for the heart.  The High Priestess Senityili appeared after he left, angrily telling me that I have doomed the Sahuagin to a slow death by killing the Prince... obviously I was not the chosen of Sekolah, after all.  Her mistake.~ */ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 57 86 even though they appear after this state */
~Global("sahkngjob","GLOBAL",1)
Global("senityilijob","GLOBAL",0)
Global("senityilirefused","GLOBAL",0)
!Dead("sahpr2")
Global("LeavingSahuagin","AR2300",0)
~ THEN BEGIN 52 // from:
  SAY #46591 /* ~Ah.  It is good you have come to see me before you left.  The king has made it clear I should instruct you as to how you may enter the Prince's base.~ */
  IF ~~ THEN GOTO 79
END

IF ~~ THEN BEGIN 53 // from: 84.0
  SAY #46592 /* ~Our King is mad.  Surely your audience with him showed you this.~ */
  IF ~~ THEN GOTO 54
END

IF ~~ THEN BEGIN 54 // from: 53.0
  SAY #46593 /* ~He is the result of... poor breeding.  Like his father he has executed or exiled far too many of our kind.~ */
  IF ~~ THEN GOTO 55
END

IF ~~ THEN BEGIN 55 // from: 54.0
  SAY #46594 /* ~Our numbers are too few, our blood too thin.  We must regain what we have lost.  Prince Villynaty, the exiles' leader outside the city, is our only hope.~ */
  IF ~!IsValidForPartyDialog("Cernd")
!IsValidForPartyDialog("Imoen2")
!IsValidForPartyDialog("Keldorn")~ THEN GOTO 56
  IF ~IsValidForPartyDialog("Cernd")~ THEN EXTERN ~CERNDJ~ 110
  IF ~!IsValidForPartyDialog("Cernd")
IsValidForPartyDialog("Imoen2")~ THEN EXTERN ~IMOEN2J~ 20
  IF ~!IsValidForPartyDialog("Cernd")
!IsValidForPartyDialog("Imoen2")
IsValidForPartyDialog("Keldorn")~ THEN EXTERN ~KELDORJ~ 198
END

IF ~~ THEN BEGIN 56 // from: 55.0
  SAY #46595 /* ~With the Prince on the throne, we would be strong again... to fight the illithid and the drow.  I have been in contact with the rebels and now is the time to strike!~ */
  IF ~~ THEN GOTO 59
END

IF WEIGHT #3 ~NumTimesTalkedTo(2)
Global("LeavingSahuagin","AR2300",0)
~ THEN BEGIN 57 // from:
  SAY #46596 /* ~An offering for you, Sekolah!  Open your mighty jaws and take this, your former servant, as sustenance for you!~ [SAHPR109] */
  IF ~~ THEN GOTO 58
END

IF ~~ THEN BEGIN 58 // from: 57.0
  SAY #46597 /* ~We are mighty, Shark-Father!  We strike without fear and without remorse!  Take this gift as a measure of our power!!~ */
  IF ~~ THEN EXTERN ~SAHPR3~ 6
END

IF ~~ THEN BEGIN 59 // from: 56.0
  SAY #46599 /* ~What do you say, <PRO_RACE>?  Surely you hold no love for our mad King.  Help us to survive, lest we be swept away by the denizens of the Underdark!~ */
  IF ~~ THEN REPLY #46600 /* ~What do you need me to do, exactly?~ */ GOTO 60
  IF ~~ THEN REPLY #46601 /* ~What makes you think I won't tell the King of your scheme?~ */ GOTO 62
  IF ~~ THEN REPLY #46602 /* ~The King's offered me a reward to kill this rebel... what are you offering me?~ */ GOTO 64
  IF ~~ THEN REPLY #46603 /* ~I've no interest in helping your race, period.~ */ GOTO 66
END

IF ~~ THEN BEGIN 60 // from: 70.0 65.0 63.0 59.0
  SAY #46604 /* ~I only ask that you talk with Prince Villynaty, that is all.  Listen to what he has to offer, and decide then what you shall do.~ */
  IF ~~ THEN GOTO 61
END

IF ~~ THEN BEGIN 61 // from: 60.0
  SAY #46605 /* ~I will give you an orb the rebels will recognize... they will bring you to Villynaty.  That is, of course, if you agree to talk instead of kill.~ */
  IF ~~ THEN REPLY #46606 /* ~What makes you think I won't tell the King of your scheme?~ */ GOTO 62
  IF ~~ THEN REPLY #46607 /* ~The King's offered me a reward to kill this rebel... what are you offering me?~ */ GOTO 64
  IF ~~ THEN REPLY #46608 /* ~Very well... I agree to talk to this Prince.~ */ GOTO 68
  IF ~~ THEN REPLY #46609 /* ~Forget it.  I've no interest in this plan of yours.~ */ GOTO 66
END

IF ~~ THEN BEGIN 62 // from: 70.1 65.1 61.0 59.1
  SAY #46610 /* ~You are not of our race... you owe him no allegiance.  You have seen Ixilthetocal's state of mind... he may decide to kill you in the end anyway.~ */
  IF ~~ THEN GOTO 63
END

IF ~~ THEN BEGIN 63 // from: 62.0
  SAY #46611 /* ~But if you do take this to the King... I cannot stop you, <PRO_RACE>.  It will doom both myself and perhaps the City-of-Caverns, as well, but I cannot stop you.~ */
  IF ~~ THEN REPLY #46612 /* ~What do you need me to do, exactly?~ */ GOTO 60
  IF ~~ THEN REPLY #46613 /* ~The King's offered me a reward to kill this rebel... what are you offering me?~ */ GOTO 64
  IF ~~ THEN REPLY #46614 /* ~Very well.  I shall do as you request.~ */ GOTO 68
  IF ~~ THEN REPLY #46615 /* ~Forget it, then.  I've other plans.~ */ GOTO 66
END

IF ~~ THEN BEGIN 64 // from: 70.2 63.1 61.1 59.2
  SAY #46616 /* ~I can offer you nothing, myself.  And I know that the exiles have little in the way of gold or magic that you might see as a suitable reward.~ */
  IF ~~ THEN GOTO 65
END

IF ~~ THEN BEGIN 65 // from: 64.0
  SAY #46617 /* ~Still, I ask that you speak to the Prince.  Perhaps... perhaps he has some reward in mind.  I... I beg of you, <PRO_RACE>!  Do not let our mad King destroy my people!~ */
  IF ~~ THEN REPLY #46618 /* ~What do you need me to do, exactly?~ */ GOTO 60
  IF ~~ THEN REPLY #46619 /* ~What makes you think I won't tell the King of your scheme?~ */ GOTO 62
  IF ~~ THEN REPLY #46620 /* ~Very well, I shall do as you ask.~ */ GOTO 68
  IF ~~ THEN REPLY #46621 /* ~I don't care what happens to your evil race, and I've no interest in your plan.~ */ GOTO 66
END

IF ~~ THEN BEGIN 66 // from: 65.3 63.3 61.3 59.3
  SAY #46622 /* ~Then... then we are doomed.  Go, then, and earn your reward from our King if you must.  If he truly plans on giving it to you.~ */
  IF ~~ THEN GOTO 67
END

IF ~~ THEN BEGIN 67 // from: 66.0
  SAY #46623 /* ~But if you have a change of heart, then I beg of you to return and tell me... and I shall arrange for a meeting with Villynaty.  I... I pray that you do.~ */
  IF ~~ THEN DO ~SetGlobal("senityilijob","GLOBAL",0)
SetGlobal("senityilirefused","GLOBAL",1)~ UNSOLVED_JOURNAL #10109 /* ~The prophecy of Sekolah

The High Priestess wants me to go to the rebel, Prince Villynaty, and ally with him, instead, because the King is mad and destroying her people.  I refused her offer, although she told me to come back if I changed my mind.~ */ EXIT
END

IF ~~ THEN BEGIN 68 // from: 70.3 65.2 63.2 61.2
  SAY #46624 /* ~Good.  Here is the orb.  Keep it in your possession when you leave the City-of-Caverns.  You will be approached by an exile to be brought to the Prince.~ */
  IF ~~ THEN DO ~GiveItem("misc8q",Player1)~ GOTO 69
END

IF ~~ THEN BEGIN 69 // from: 68.0
  SAY #46625 /* ~I pray that you and the Prince can come to an agreement... for the sake of all of my people.  Go, then, and may Sekolah guard you from harm.~ */
  IF ~~ THEN DO ~SetGlobal("senityilijob","GLOBAL",1)
SetGlobal("senityilirefused","GLOBAL",0)~ UNSOLVED_JOURNAL #7170 /* ~The prophecy of Sekolah

High Priestess Senityili has asked me to go to the rebel, Prince Villynaty, and help him save the Sahuagin from the mad King.  She has given me an orb which I should keep in my possession when I leave the city, and the rebels will see it and bring me to the rebel Prince to talk.~ */ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 86 even though they appear after this state */
~InPartySlot(LastTalkedToBy,0)
Global("senityilijob","GLOBAL",0)
Global("senityilirefused","GLOBAL",1)
~ THEN BEGIN 70 // from:
  SAY #46626 /* ~You return, surface <PRO_RACE>.  Do you come to mock me, or have you had a change of heart?  Will you speak to the Prince as I have asked?~ */
  IF ~~ THEN REPLY #46627 /* ~What is it, exactly, that you want me to do?~ */ GOTO 60
  IF ~~ THEN REPLY #46628 /* ~What makes you think I won't go and tell the King of your scheme?~ */ GOTO 62
  IF ~~ THEN REPLY #46629 /* ~Is the reward you offer greater than the King's?~ */ GOTO 64
  IF ~~ THEN REPLY #46630 /* ~Yes, I have changed my mind.  I will speak to the rebel leader.~ */ GOTO 68
  IF ~~ THEN REPLY #46631 /* ~No, I haven't changed my mind.~ */ GOTO 71
END

IF ~~ THEN BEGIN 71 // from: 70.4
  SAY #46632 /* ~Then begone, lest I show you how truly dangerous a follower of Sekolah the Shark-Father can be.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #7 /* Triggers after states #: 86 even though they appear after this state */
~!InPartySlot(LastTalkedToBy,0)~ THEN BEGIN 72 // from:
  SAY #46633 /* ~You are not the leader, surface being.  I shall deal with the one who makes the decisions... the <PRO_MALEFEMALE> <PRO_RACE> I spoke to earlier.  And that is all.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #8 /* Triggers after states #: 86 even though they appear after this state */
~InPartySlot(LastTalkedToBy,0)
Global("senityilijob","GLOBAL",1)
Global("senityilirefused","GLOBAL",0)~ THEN BEGIN 73 // from:
  SAY #46634 /* ~You return... have you not spoken to the Prince yet?  Is something wrong, surface <PRO_RACE>?  Can you not find the way?~ */
  IF ~~ THEN REPLY #46636 /* ~Nothing is wrong, I still intend to meet the Prince.~ */ GOTO 74
  IF ~~ THEN REPLY #46637 /* ~I have decided not to talk to the Prince.~ */ GOTO 75
  IF ~Global("villynatyjob","GLOBAL",1)~ THEN REPLY #49863 /* ~I have met the prince and he has asked me to help him kill the king.~ */ GOTO 78
  IF ~~ THEN REPLY #53795 /* ~Could you please explain again how I might enter the Rebel Encampment?~ */ GOTO 85
END

IF ~~ THEN BEGIN 74 // from: 73.0
  SAY #46638 /* ~Good.  I suggest you go quickly, then.  There is no telling what the King may decide to do, should you give him time enough.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 75 // from: 73.1
  SAY #46639 /* ~Then there is no hope for my people.  You have the orb... the exiles will attempt to speak to you.  The choice is yours, <PRO_RACE>.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #9 /* Triggers after states #: 86 even though they appear after this state */
~Global("sahkngjob","GLOBAL",1)
Global("senityilijob","GLOBAL",0)
Global("senityilirefused","GLOBAL",0)
Dead("sahpr2")~ THEN BEGIN 76 // from:
  SAY #49858 /* ~You have come too late, surface <RACE>.  You have already performed the task as the King has demanded... there is no reason for us to speak.~ */
  IF ~~ THEN GOTO 77
END

IF ~~ THEN BEGIN 77 // from: 76.0
  SAY #49859 /* ~Go, if you must.  Go on your way and enjoy what rewards Ixilthetocal has given you.  You are not the Shark-Father's promised, as I had thought.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 78 // from: 73.2
  SAY #49864 /* ~Then do as he suggests and we shall soon have victory! Go!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 79 // from: 52.0
  SAY #53788 /* ~The Prince's Base lies at the far end of the city, beyond a chamber with two great doors. Long ago Sekolah appeared there and slew a thousand infidels.~ */
  IF ~~ THEN GOTO 80
END

IF ~~ THEN BEGIN 80 // from: 79.0
  SAY #53789 /* ~He decreed no heretic should again enter the city and sealed the doors. He placed his tooth upon the doors so that we could open them. Later, the drow came.~ */
  IF ~~ THEN GOTO 81
END

IF ~~ THEN BEGIN 81 // from: 80.0
  SAY #53790 /* ~With powerful magicks they stormed the city, led by a mage of great strength.  He took Sekolah's Tooth from our lax guardians with the intent of blocking pursuit.~ */
  IF ~~ THEN GOTO 82
END

IF ~~ THEN BEGIN 82 // from: 81.0
  SAY #53791 /* ~The mage built an edifice in the southwest section of the city.  He was killed, but his complex remains.  Sekolah's Tooth is guarded somewhere within...~ */
  IF ~~ THEN GOTO 83
END

IF ~~ THEN BEGIN 83 // from: 82.0
  SAY #53792 /* ~We have little need for it... the ocean is the means of our travel. But you need it.  Seek out the drow's construct, foil his guardians and obtain the key.~ */
  IF ~~ THEN REPLY #53793 /* ~I shall enter the Drow section and obtain the key.~ */ GOTO 84
  IF ~~ THEN REPLY #55835 /* ~If there is no other choice, I suppose I will have to.~ */ GOTO 84
END

IF ~~ THEN BEGIN 84 // from: 83.1 83.0
  SAY #53794 /* ~Excellent. This brings me to the next point. You must do something for me.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #10116 /* ~The prophecy of Sekolah

High Priestess Senityili informed me that the only way to get through the doors to the rebel encampment was to find the key... Sekolah's Tooth, which was stolen by a drow and hidden long ago in an area directly to the south.~ */ GOTO 53
END

IF ~~ THEN BEGIN 85 // from: 73.3
  SAY #53796 /* ~Enter the Drow structure in the southwest corner of the city. From the throne room, follow the southern stairs. Obtain Sekolah's Tooth to pass through the doors.  Remember our agreement and keep the orb with you.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~Global("senityilijob","GLOBAL",2)~ THEN BEGIN 86 // from:
  SAY #61966 /* ~You have saved our city from certain doom. Go well!~ */
  IF ~~ THEN EXIT
END
